blue = Color.new(0,0,200)
red = Color.new(200,0,0)


bg = Image.load("IMAGES/bg.png")


font = Font.load("font.ttf")
font:setPixelSizes(25,30)


Wav.load("\SOUNDS/menu.wav", 0)
Wav.load("\SOUNDS/select.wav", 1)


local volume = 1.0
local speed = 1.0


current = 1
oldpad = Controls.read()


while true do


screen:clear()
screen:blit(0,0,bg)


pad = Controls.read()


screen:fontPrint(font,140,120,"Select eyes",blue)
screen:fontPrint(font,140,160,"Instructions",blue)
screen:fontPrint(font,140,200,"Credits",blue)
screen:fontPrint(font,140,240,"Exit",blue)


if current == 1 then
screen:fontPrint(font,140,120,"Select eyes",red)
end
if current == 2 then
screen:fontPrint(font,140,160,"Instructions",red)
end
if current == 3 then
screen:fontPrint(font,140,200,"Credits",red)
end
if current == 4 then
screen:fontPrint(font,140,240,"Exit",red)
end




if pad:up() and oldpad:up() ~= pad:up() then
Wav.play(false, 0)
current = current - 1
end

if pad:down() and oldpad:down() ~= pad:down() then
Wav.play(false, 0)
current = current + 1
end

	
     -- CONTROLS --
     
	
if pad:cross() and current == 1 then
Wav.play(false, 1)
dofile("FILES/selecteyes.lua")
end

if pad:cross() and current == 2 then
Wav.play(false, 1)
dofile("FILES/instructions.lua")
end

    
if pad:cross() and current == 3 then
Wav.play(false, 1)
dofile("FILES/Credits.lua")
end
    	
if pad:cross() and current == 4 then
Wav.play(false, 1)
System.quit()
end
   
    
if current == 5 then
current = 1
end
if current == 0 then
current = 4
end

screen.waitVblankStart(8)
screen:flip()
end